| # Makefile.in generated by automake 1.11.1 from Makefile.am. |
| # @configure_input@ |
| |
| # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, |
| # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation, |
| # Inc. |
| # This Makefile.in is free software; the Free Software Foundation |
| # gives unlimited permission to copy and/or distribute it, |
| # with or without modifications, as long as this notice is preserved. |
| |
| # This program is distributed in the hope that it will be useful, |
| # but WITHOUT ANY WARRANTY, to the extent permitted by law; without |
| # even the implied warranty of MERCHANTABILITY or FITNESS FOR A |
| # PARTICULAR PURPOSE. |
| |
| @SET_MAKE@ |
| |
| VPATH = @srcdir@ |
| pkgdatadir = $(datadir)/@PACKAGE@ |
| pkgincludedir = $(includedir)/@PACKAGE@ |
| pkglibdir = $(libdir)/@PACKAGE@ |
| pkglibexecdir = $(libexecdir)/@PACKAGE@ |
| am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd |
| install_sh_DATA = $(install_sh) -c -m 644 |
| install_sh_PROGRAM = $(install_sh) -c |
| install_sh_SCRIPT = $(install_sh) -c |
| INSTALL_HEADER = $(INSTALL_DATA) |
| transform = $(program_transform_name) |
| NORMAL_INSTALL = : |
| PRE_INSTALL = : |
| POST_INSTALL = : |
| NORMAL_UNINSTALL = : |
| PRE_UNINSTALL = : |
| POST_UNINSTALL = : |
| sbin_PROGRAMS = ethtool$(EXEEXT) |
| subdir = . |
| DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \ |
| $(srcdir)/Makefile.in $(srcdir)/ethtool-config.h.in \ |
| $(srcdir)/ethtool.spec.in $(top_srcdir)/configure AUTHORS \ |
| COPYING ChangeLog INSTALL NEWS depcomp install-sh missing |
| ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 |
| am__aclocal_m4_deps = $(top_srcdir)/configure.ac |
| am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ |
| $(ACLOCAL_M4) |
| am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ |
| configure.lineno config.status.lineno |
| mkinstalldirs = $(install_sh) -d |
| CONFIG_HEADER = ethtool-config.h |
| CONFIG_CLEAN_FILES = ethtool.spec |
| CONFIG_CLEAN_VPATH_FILES = |
| am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)" |
| PROGRAMS = $(sbin_PROGRAMS) |
| am_ethtool_OBJECTS = ethtool.$(OBJEXT) amd8111e.$(OBJEXT) \ |
| de2104x.$(OBJEXT) e100.$(OBJEXT) e1000.$(OBJEXT) igb.$(OBJEXT) \ |
| fec_8xx.$(OBJEXT) ibm_emac.$(OBJEXT) ixgb.$(OBJEXT) \ |
| ixgbe.$(OBJEXT) natsemi.$(OBJEXT) pcnet32.$(OBJEXT) \ |
| realtek.$(OBJEXT) tg3.$(OBJEXT) marvell.$(OBJEXT) \ |
| vioc.$(OBJEXT) smsc911x.$(OBJEXT) at76c50x-usb.$(OBJEXT) \ |
| sfc.$(OBJEXT) |
| ethtool_OBJECTS = $(am_ethtool_OBJECTS) |
| ethtool_LDADD = $(LDADD) |
| DEFAULT_INCLUDES = -I.@am__isrc@ |
| depcomp = $(SHELL) $(top_srcdir)/depcomp |
| am__depfiles_maybe = depfiles |
| am__mv = mv -f |
| COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \ |
| $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) |
| CCLD = $(CC) |
| LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@ |
| SOURCES = $(ethtool_SOURCES) |
| DIST_SOURCES = $(ethtool_SOURCES) |
| am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; |
| am__vpath_adj = case $$p in \ |
| $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \ |
| *) f=$$p;; \ |
| esac; |
| am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`; |
| am__install_max = 40 |
| am__nobase_strip_setup = \ |
| srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'` |
| am__nobase_strip = \ |
| for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||" |
| am__nobase_list = $(am__nobase_strip_setup); \ |
| for p in $$list; do echo "$$p $$p"; done | \ |
| sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \ |
| $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \ |
| if (++n[$$2] == $(am__install_max)) \ |
| { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \ |
| END { for (dir in files) print dir, files[dir] }' |
| am__base_list = \ |
| sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \ |
| sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g' |
| man8dir = $(mandir)/man8 |
| NROFF = nroff |
| MANS = $(man_MANS) |
| ETAGS = etags |
| CTAGS = ctags |
| DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) |
| distdir = $(PACKAGE)-$(VERSION) |
| top_distdir = $(distdir) |
| am__remove_distdir = \ |
| { test ! -d "$(distdir)" \ |
| || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \ |
| && rm -fr "$(distdir)"; }; } |
| DIST_ARCHIVES = $(distdir).tar.gz |
| GZIP_ENV = --best |
| distuninstallcheck_listfiles = find . -type f -print |
| distcleancheck_listfiles = find . -type f -print |
| ACLOCAL = @ACLOCAL@ |
| AMTAR = @AMTAR@ |
| AUTOCONF = @AUTOCONF@ |
| AUTOHEADER = @AUTOHEADER@ |
| AUTOMAKE = @AUTOMAKE@ |
| AWK = @AWK@ |
| CC = @CC@ |
| CCDEPMODE = @CCDEPMODE@ |
| CFLAGS = @CFLAGS@ |
| CPP = @CPP@ |
| CPPFLAGS = @CPPFLAGS@ |
| CYGPATH_W = @CYGPATH_W@ |
| DEFS = @DEFS@ |
| DEPDIR = @DEPDIR@ |
| ECHO_C = @ECHO_C@ |
| ECHO_N = @ECHO_N@ |
| ECHO_T = @ECHO_T@ |
| EGREP = @EGREP@ |
| EXEEXT = @EXEEXT@ |
| GREP = @GREP@ |
| INSTALL = @INSTALL@ |
| INSTALL_DATA = @INSTALL_DATA@ |
| INSTALL_PROGRAM = @INSTALL_PROGRAM@ |
| INSTALL_SCRIPT = @INSTALL_SCRIPT@ |
| INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@ |
| LDFLAGS = @LDFLAGS@ |
| LIBOBJS = @LIBOBJS@ |
| LIBS = @LIBS@ |
| LTLIBOBJS = @LTLIBOBJS@ |
| MAINT = @MAINT@ |
| MAKEINFO = @MAKEINFO@ |
| MKDIR_P = @MKDIR_P@ |
| OBJEXT = @OBJEXT@ |
| PACKAGE = @PACKAGE@ |
| PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@ |
| PACKAGE_NAME = @PACKAGE_NAME@ |
| PACKAGE_STRING = @PACKAGE_STRING@ |
| PACKAGE_TARNAME = @PACKAGE_TARNAME@ |
| PACKAGE_VERSION = @PACKAGE_VERSION@ |
| PATH_SEPARATOR = @PATH_SEPARATOR@ |
| SET_MAKE = @SET_MAKE@ |
| SHELL = @SHELL@ |
| STRIP = @STRIP@ |
| VERSION = @VERSION@ |
| abs_builddir = @abs_builddir@ |
| abs_srcdir = @abs_srcdir@ |
| abs_top_builddir = @abs_top_builddir@ |
| abs_top_srcdir = @abs_top_srcdir@ |
| ac_ct_CC = @ac_ct_CC@ |
| am__include = @am__include@ |
| am__leading_dot = @am__leading_dot@ |
| am__quote = @am__quote@ |
| am__tar = @am__tar@ |
| am__untar = @am__untar@ |
| bindir = @bindir@ |
| build_alias = @build_alias@ |
| builddir = @builddir@ |
| datadir = @datadir@ |
| datarootdir = @datarootdir@ |
| docdir = @docdir@ |
| dvidir = @dvidir@ |
| exec_prefix = @exec_prefix@ |
| host_alias = @host_alias@ |
| htmldir = @htmldir@ |
| includedir = @includedir@ |
| infodir = @infodir@ |
| install_sh = @install_sh@ |
| libdir = @libdir@ |
| libexecdir = @libexecdir@ |
| localedir = @localedir@ |
| localstatedir = @localstatedir@ |
| mandir = @mandir@ |
| mkdir_p = @mkdir_p@ |
| oldincludedir = @oldincludedir@ |
| pdfdir = @pdfdir@ |
| prefix = @prefix@ |
| program_transform_name = @program_transform_name@ |
| psdir = @psdir@ |
| sbindir = @sbindir@ |
| sharedstatedir = @sharedstatedir@ |
| srcdir = @srcdir@ |
| sysconfdir = @sysconfdir@ |
| target_alias = @target_alias@ |
| top_build_prefix = @top_build_prefix@ |
| top_builddir = @top_builddir@ |
| top_srcdir = @top_srcdir@ |
| AM_CFLAGS = -Wall |
| man_MANS = ethtool.8 |
| EXTRA_DIST = LICENSE ethtool.8 ethtool.spec.in aclocal.m4 ChangeLog autogen.sh |
| ethtool_SOURCES = ethtool.c ethtool-copy.h ethtool-util.h \ |
| amd8111e.c de2104x.c e100.c e1000.c igb.c \ |
| fec_8xx.c ibm_emac.c ixgb.c ixgbe.c natsemi.c \ |
| pcnet32.c realtek.c tg3.c marvell.c vioc.c \ |
| smsc911x.c at76c50x-usb.c sfc.c |
| |
| all: ethtool-config.h |
| $(MAKE) $(AM_MAKEFLAGS) all-am |
| |
| .SUFFIXES: |
| .SUFFIXES: .c .o .obj |
| am--refresh: |
| @: |
| $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps) |
| @for dep in $?; do \ |
| case '$(am__configure_deps)' in \ |
| *$$dep*) \ |
| echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \ |
| $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \ |
| && exit 0; \ |
| exit 1;; \ |
| esac; \ |
| done; \ |
| echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \ |
| $(am__cd) $(top_srcdir) && \ |
| $(AUTOMAKE) --gnu Makefile |
| .PRECIOUS: Makefile |
| Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status |
| @case '$?' in \ |
| *config.status*) \ |
| echo ' $(SHELL) ./config.status'; \ |
| $(SHELL) ./config.status;; \ |
| *) \ |
| echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \ |
| cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \ |
| esac; |
| |
| $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES) |
| $(SHELL) ./config.status --recheck |
| |
| $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) |
| $(am__cd) $(srcdir) && $(AUTOCONF) |
| $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps) |
| $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS) |
| $(am__aclocal_m4_deps): |
| |
| ethtool-config.h: stamp-h1 |
| @if test ! -f $@; then \ |
| rm -f stamp-h1; \ |
| $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \ |
| else :; fi |
| |
| stamp-h1: $(srcdir)/ethtool-config.h.in $(top_builddir)/config.status |
| @rm -f stamp-h1 |
| cd $(top_builddir) && $(SHELL) ./config.status ethtool-config.h |
| $(srcdir)/ethtool-config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) |
| ($(am__cd) $(top_srcdir) && $(AUTOHEADER)) |
| rm -f stamp-h1 |
| touch $@ |
| |
| distclean-hdr: |
| -rm -f ethtool-config.h stamp-h1 |
| ethtool.spec: $(top_builddir)/config.status $(srcdir)/ethtool.spec.in |
| cd $(top_builddir) && $(SHELL) ./config.status $@ |
| install-sbinPROGRAMS: $(sbin_PROGRAMS) |
| @$(NORMAL_INSTALL) |
| test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)" |
| @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \ |
| for p in $$list; do echo "$$p $$p"; done | \ |
| sed 's/$(EXEEXT)$$//' | \ |
| while read p p1; do if test -f $$p; \ |
| then echo "$$p"; echo "$$p"; else :; fi; \ |
| done | \ |
| sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \ |
| -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \ |
| sed 'N;N;N;s,\n, ,g' | \ |
| $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \ |
| { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \ |
| if ($$2 == $$4) files[d] = files[d] " " $$1; \ |
| else { print "f", $$3 "/" $$4, $$1; } } \ |
| END { for (d in files) print "f", d, files[d] }' | \ |
| while read type dir files; do \ |
| if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \ |
| test -z "$$files" || { \ |
| echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \ |
| $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \ |
| } \ |
| ; done |
| |
| uninstall-sbinPROGRAMS: |
| @$(NORMAL_UNINSTALL) |
| @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \ |
| files=`for p in $$list; do echo "$$p"; done | \ |
| sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \ |
| -e 's/$$/$(EXEEXT)/' `; \ |
| test -n "$$list" || exit 0; \ |
| echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \ |
| cd "$(DESTDIR)$(sbindir)" && rm -f $$files |
| |
| clean-sbinPROGRAMS: |
| -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS) |
| ethtool$(EXEEXT): $(ethtool_OBJECTS) $(ethtool_DEPENDENCIES) |
| @rm -f ethtool$(EXEEXT) |
| $(LINK) $(ethtool_OBJECTS) $(ethtool_LDADD) $(LIBS) |
| |
| mostlyclean-compile: |
| -rm -f *.$(OBJEXT) |
| |
| distclean-compile: |
| -rm -f *.tab.c |
| |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amd8111e.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/at76c50x-usb.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/de2104x.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/e100.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/e1000.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ethtool.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fec_8xx.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ibm_emac.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/igb.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ixgb.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ixgbe.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/marvell.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/natsemi.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pcnet32.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/realtek.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sfc.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smsc911x.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tg3.Po@am__quote@ |
| @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vioc.Po@am__quote@ |
| |
| .c.o: |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $< |
| @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(COMPILE) -c $< |
| |
| .c.obj: |
| @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'` |
| @am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@ |
| @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@ |
| @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'` |
| install-man8: $(man_MANS) |
| @$(NORMAL_INSTALL) |
| test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)" |
| @list=''; test -n "$(man8dir)" || exit 0; \ |
| { for i in $$list; do echo "$$i"; done; \ |
| l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \ |
| sed -n '/\.8[a-z]*$$/p'; \ |
| } | while read p; do \ |
| if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ |
| echo "$$d$$p"; echo "$$p"; \ |
| done | \ |
| sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \ |
| -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \ |
| sed 'N;N;s,\n, ,g' | { \ |
| list=; while read file base inst; do \ |
| if test "$$base" = "$$inst"; then list="$$list $$file"; else \ |
| echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \ |
| $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \ |
| fi; \ |
| done; \ |
| for i in $$list; do echo "$$i"; done | $(am__base_list) | \ |
| while read files; do \ |
| test -z "$$files" || { \ |
| echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \ |
| $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \ |
| done; } |
| |
| uninstall-man8: |
| @$(NORMAL_UNINSTALL) |
| @list=''; test -n "$(man8dir)" || exit 0; \ |
| files=`{ for i in $$list; do echo "$$i"; done; \ |
| l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \ |
| sed -n '/\.8[a-z]*$$/p'; \ |
| } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \ |
| -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \ |
| test -z "$$files" || { \ |
| echo " ( cd '$(DESTDIR)$(man8dir)' && rm -f" $$files ")"; \ |
| cd "$(DESTDIR)$(man8dir)" && rm -f $$files; } |
| |
| ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES) |
| list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ |
| $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| mkid -fID $$unique |
| tags: TAGS |
| |
| TAGS: $(HEADERS) $(SOURCES) ethtool-config.h.in $(TAGS_DEPENDENCIES) \ |
| $(TAGS_FILES) $(LISP) |
| set x; \ |
| here=`pwd`; \ |
| list='$(SOURCES) $(HEADERS) ethtool-config.h.in $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ |
| $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| shift; \ |
| if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \ |
| test -n "$$unique" || unique=$$empty_fix; \ |
| if test $$# -gt 0; then \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| "$$@" $$unique; \ |
| else \ |
| $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \ |
| $$unique; \ |
| fi; \ |
| fi |
| ctags: CTAGS |
| CTAGS: $(HEADERS) $(SOURCES) ethtool-config.h.in $(TAGS_DEPENDENCIES) \ |
| $(TAGS_FILES) $(LISP) |
| list='$(SOURCES) $(HEADERS) ethtool-config.h.in $(LISP) $(TAGS_FILES)'; \ |
| unique=`for i in $$list; do \ |
| if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \ |
| done | \ |
| $(AWK) '{ files[$$0] = 1; nonempty = 1; } \ |
| END { if (nonempty) { for (i in files) print i; }; }'`; \ |
| test -z "$(CTAGS_ARGS)$$unique" \ |
| || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \ |
| $$unique |
| |
| GTAGS: |
| here=`$(am__cd) $(top_builddir) && pwd` \ |
| && $(am__cd) $(top_srcdir) \ |
| && gtags -i $(GTAGS_ARGS) "$$here" |
| |
| distclean-tags: |
| -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags |
| |
| distdir: $(DISTFILES) |
| @list='$(MANS)'; if test -n "$$list"; then \ |
| list=`for p in $$list; do \ |
| if test -f $$p; then d=; else d="$(srcdir)/"; fi; \ |
| if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \ |
| if test -n "$$list" && \ |
| grep 'ab help2man is required to generate this page' $$list >/dev/null; then \ |
| echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \ |
| grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \ |
| echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \ |
| echo " typically \`make maintainer-clean' will remove them" >&2; \ |
| exit 1; \ |
| else :; fi; \ |
| else :; fi |
| $(am__remove_distdir) |
| test -d "$(distdir)" || mkdir "$(distdir)" |
| @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \ |
| list='$(DISTFILES)'; \ |
| dist_files=`for file in $$list; do echo $$file; done | \ |
| sed -e "s|^$$srcdirstrip/||;t" \ |
| -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \ |
| case $$dist_files in \ |
| */*) $(MKDIR_P) `echo "$$dist_files" | \ |
| sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \ |
| sort -u` ;; \ |
| esac; \ |
| for file in $$dist_files; do \ |
| if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \ |
| if test -d $$d/$$file; then \ |
| dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \ |
| if test -d "$(distdir)/$$file"; then \ |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| fi; \ |
| if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \ |
| cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \ |
| find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \ |
| fi; \ |
| cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \ |
| else \ |
| test -f "$(distdir)/$$file" \ |
| || cp -p $$d/$$file "$(distdir)/$$file" \ |
| || exit 1; \ |
| fi; \ |
| done |
| $(MAKE) $(AM_MAKEFLAGS) \ |
| top_distdir="$(top_distdir)" distdir="$(distdir)" \ |
| dist-hook |
| -test -n "$(am__skip_mode_fix)" \ |
| || find "$(distdir)" -type d ! -perm -755 \ |
| -exec chmod u+rwx,go+rx {} \; -o \ |
| ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \ |
| ! -type d ! -perm -400 -exec chmod a+r {} \; -o \ |
| ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \ |
| || chmod -R a+r "$(distdir)" |
| dist-gzip: distdir |
| tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz |
| $(am__remove_distdir) |
| |
| dist-bzip2: distdir |
| tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2 |
| $(am__remove_distdir) |
| |
| dist-lzma: distdir |
| tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma |
| $(am__remove_distdir) |
| |
| dist-xz: distdir |
| tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz |
| $(am__remove_distdir) |
| |
| dist-tarZ: distdir |
| tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z |
| $(am__remove_distdir) |
| |
| dist-shar: distdir |
| shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz |
| $(am__remove_distdir) |
| |
| dist-zip: distdir |
| -rm -f $(distdir).zip |
| zip -rq $(distdir).zip $(distdir) |
| $(am__remove_distdir) |
| |
| dist dist-all: distdir |
| tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz |
| $(am__remove_distdir) |
| |
| # This target untars the dist file and tries a VPATH configuration. Then |
| # it guarantees that the distribution is self-contained by making another |
| # tarfile. |
| distcheck: dist |
| case '$(DIST_ARCHIVES)' in \ |
| *.tar.gz*) \ |
| GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\ |
| *.tar.bz2*) \ |
| bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\ |
| *.tar.lzma*) \ |
| lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\ |
| *.tar.xz*) \ |
| xz -dc $(distdir).tar.xz | $(am__untar) ;;\ |
| *.tar.Z*) \ |
| uncompress -c $(distdir).tar.Z | $(am__untar) ;;\ |
| *.shar.gz*) \ |
| GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\ |
| *.zip*) \ |
| unzip $(distdir).zip ;;\ |
| esac |
| chmod -R a-w $(distdir); chmod a+w $(distdir) |
| mkdir $(distdir)/_build |
| mkdir $(distdir)/_inst |
| chmod a-w $(distdir) |
| test -d $(distdir)/_build || exit 0; \ |
| dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \ |
| && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \ |
| && am__cwd=`pwd` \ |
| && $(am__cd) $(distdir)/_build \ |
| && ../configure --srcdir=.. --prefix="$$dc_install_base" \ |
| $(DISTCHECK_CONFIGURE_FLAGS) \ |
| && $(MAKE) $(AM_MAKEFLAGS) \ |
| && $(MAKE) $(AM_MAKEFLAGS) dvi \ |
| && $(MAKE) $(AM_MAKEFLAGS) check \ |
| && $(MAKE) $(AM_MAKEFLAGS) install \ |
| && $(MAKE) $(AM_MAKEFLAGS) installcheck \ |
| && $(MAKE) $(AM_MAKEFLAGS) uninstall \ |
| && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \ |
| distuninstallcheck \ |
| && chmod -R a-w "$$dc_install_base" \ |
| && ({ \ |
| (cd ../.. && umask 077 && mkdir "$$dc_destdir") \ |
| && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \ |
| && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \ |
| && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \ |
| distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \ |
| } || { rm -rf "$$dc_destdir"; exit 1; }) \ |
| && rm -rf "$$dc_destdir" \ |
| && $(MAKE) $(AM_MAKEFLAGS) dist \ |
| && rm -rf $(DIST_ARCHIVES) \ |
| && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \ |
| && cd "$$am__cwd" \ |
| || exit 1 |
| $(am__remove_distdir) |
| @(echo "$(distdir) archives ready for distribution: "; \ |
| list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \ |
| sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x' |
| distuninstallcheck: |
| @$(am__cd) '$(distuninstallcheck_dir)' \ |
| && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \ |
| || { echo "ERROR: files left after uninstall:" ; \ |
| if test -n "$(DESTDIR)"; then \ |
| echo " (check DESTDIR support)"; \ |
| fi ; \ |
| $(distuninstallcheck_listfiles) ; \ |
| exit 1; } >&2 |
| distcleancheck: distclean |
| @if test '$(srcdir)' = . ; then \ |
| echo "ERROR: distcleancheck can only run from a VPATH build" ; \ |
| exit 1 ; \ |
| fi |
| @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \ |
| || { echo "ERROR: files left in build directory after distclean:" ; \ |
| $(distcleancheck_listfiles) ; \ |
| exit 1; } >&2 |
| check-am: all-am |
| check: check-am |
| all-am: Makefile $(PROGRAMS) $(MANS) ethtool-config.h |
| installdirs: |
| for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"; do \ |
| test -z "$$dir" || $(MKDIR_P) "$$dir"; \ |
| done |
| install: install-am |
| install-exec: install-exec-am |
| install-data: install-data-am |
| uninstall: uninstall-am |
| |
| install-am: all-am |
| @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am |
| |
| installcheck: installcheck-am |
| install-strip: |
| $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \ |
| install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \ |
| `test -z '$(STRIP)' || \ |
| echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install |
| mostlyclean-generic: |
| |
| clean-generic: |
| |
| distclean-generic: |
| -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) |
| -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES) |
| |
| maintainer-clean-generic: |
| @echo "This command is intended for maintainers to use" |
| @echo "it deletes files that may require special tools to rebuild." |
| clean: clean-am |
| |
| clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am |
| |
| distclean: distclean-am |
| -rm -f $(am__CONFIG_DISTCLEAN_FILES) |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| distclean-am: clean-am distclean-compile distclean-generic \ |
| distclean-hdr distclean-tags |
| |
| dvi: dvi-am |
| |
| dvi-am: |
| |
| html: html-am |
| |
| html-am: |
| |
| info: info-am |
| |
| info-am: |
| |
| install-data-am: install-man |
| |
| install-dvi: install-dvi-am |
| |
| install-dvi-am: |
| |
| install-exec-am: install-sbinPROGRAMS |
| |
| install-html: install-html-am |
| |
| install-html-am: |
| |
| install-info: install-info-am |
| |
| install-info-am: |
| |
| install-man: install-man8 |
| |
| install-pdf: install-pdf-am |
| |
| install-pdf-am: |
| |
| install-ps: install-ps-am |
| |
| install-ps-am: |
| |
| installcheck-am: |
| |
| maintainer-clean: maintainer-clean-am |
| -rm -f $(am__CONFIG_DISTCLEAN_FILES) |
| -rm -rf $(top_srcdir)/autom4te.cache |
| -rm -rf ./$(DEPDIR) |
| -rm -f Makefile |
| maintainer-clean-am: distclean-am maintainer-clean-generic |
| |
| mostlyclean: mostlyclean-am |
| |
| mostlyclean-am: mostlyclean-compile mostlyclean-generic |
| |
| pdf: pdf-am |
| |
| pdf-am: |
| |
| ps: ps-am |
| |
| ps-am: |
| |
| uninstall-am: uninstall-man uninstall-sbinPROGRAMS |
| |
| uninstall-man: uninstall-man8 |
| |
| .MAKE: all install-am install-strip |
| |
| .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \ |
| clean-generic clean-sbinPROGRAMS ctags dist dist-all \ |
| dist-bzip2 dist-gzip dist-hook dist-lzma dist-shar dist-tarZ \ |
| dist-xz dist-zip distcheck distclean distclean-compile \ |
| distclean-generic distclean-hdr distclean-tags distcleancheck \ |
| distdir distuninstallcheck dvi dvi-am html html-am info \ |
| info-am install install-am install-data install-data-am \ |
| install-dvi install-dvi-am install-exec install-exec-am \ |
| install-html install-html-am install-info install-info-am \ |
| install-man install-man8 install-pdf install-pdf-am install-ps \ |
| install-ps-am install-sbinPROGRAMS install-strip installcheck \ |
| installcheck-am installdirs maintainer-clean \ |
| maintainer-clean-generic mostlyclean mostlyclean-compile \ |
| mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \ |
| uninstall-am uninstall-man uninstall-man8 \ |
| uninstall-sbinPROGRAMS |
| |
| |
| dist-hook: |
| cp $(top_srcdir)/ethtool.spec $(distdir) |
| |
| # Tell versions [3.59,3.63) of GNU make to not export all variables. |
| # Otherwise a system limit (for SysV at least) may be exceeded. |
| .NOEXPORT: |